Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


jumper

Kext: DIY KernelEx extensions

Recommended Posts

Open xul.dll with latest Import Patcher (.40). Select the 1st, 2nd and 4th checkboxes and click on the Analyze button.

 

When analysis has completed, scroll to the bottom of the right pane and you'll find the missing functions you need to add to your kxstub822.ini not taking those below into account:

 

[KERNEL32.dll]
VerifyVersionInfoA=
VerSetConditionMask=
VerifyVersionInfoW=

[sHELL32.dll]
SHParseDisplayName=

Also ignore the [DLL replacements] section.

Share this post


Link to post
Share on other sites

Thx, but I had all necessary functions already in place but XULRunner does not work here.

Share this post


Link to post
Share on other sites

I'm running 7Zip 9.38 beta with [Advapi32.dll] LsaAddAccountRights= and comp. mode Win2000SP4. Maybe someone can check this.

Share this post


Link to post
Share on other sites

Latest Flash Player 17.0.0.188 and 13.0.0.289 require GetSystemWow64DirectoryW.

 

[Kernel32.dll]

GetSystemWow64DirectoryW=z2e120

Share this post


Link to post
Share on other sites

Latest Flash Player 17.0.0.188 and 13.0.0.289 require GetSystemWow64DirectoryW.

 

[Kernel32.dll]

GetSystemWow64DirectoryW=z2e120

I'm stuck at fp ver 14 and must have missed something.  The last change I made to kstubs was to get from ver 11.6 to  11.7 by adding gdialphablend= to [gdi32.dll] of k452stub.  This works up to ver 14.

Share this post


Link to post
Share on other sites

Versions 16+ require: Kstub822.ini: [iPHLPAPI.DLL] GetAdaptersAddresses=t5

Share this post


Link to post
Share on other sites

Latest Flash Player 17.0.0.188 and 13.0.0.289 require GetSystemWow64DirectoryW.

 

[Kernel32.dll]

GetSystemWow64DirectoryW=z2e120

Verified and I added it to the Wiki.

Share this post


Link to post
Share on other sites

@schwups #303

> I'm running 7Zip 9.38 beta with [Advapi32.dll] LsaAddAccountRights=

My Advapi32 Lsa definitions:

[Advapi32.dll]

LsaAddAccountRights=r0xC0000002s4

LsaEnumerateAccountRights=r0xC0000002s4

LsaFreeMemory=r0xC0000002s1

LsaLookupNames=r0xC0000002s5

LsaLookupPrivilegeValue=r0xC0000002s3

LsaLookupSids=r0xC0000002s5

LsaQueryInformationPolicy=r0xC0000002s3

>Versions 16+ require: Kstub822.ini: [iPHLPAPI.DLL] GetAdaptersAddresses=t5

Are you saying that GetAdaptersAddresses=>iphlpapi4: doesn't work? Maybe it's time for me to post my well-tested (since 3Jan2013) iphlpapi5....

I'm adding stubs for the above Lsa functions plus the following and several others to KernelEx 4.5.2015.10:

GetSystemWow64DirectoryA=z2e120 #65

GetSystemWow64DirectoryW=z2e120 #65

Share this post


Link to post
Share on other sites

 

Versions 16+ require: Kstub822.ini: [iPHLPAPI.DLL] GetAdaptersAddresses=t5

Are you saying that GetAdaptersAddresses=>iphlpapi4: doesn't work? Maybe it's time for me to post my well-tested (since 3Jan2013) iphlpapi5....

Of course not. "iphlpapi4" works with the IPHLPAPI.DLL of 98SE. But I made no further tests. I don't saw any advantages compared to [iPHLPAPI.DLL] GetAdaptersAddresses=t5 for me. I decided to wait for version 5, because 4.90.3001.2 could be good for 98SE and ME. 

 

# 203: I was able to download ver. 4.90.3001.2 from MDGx per this SP2RC3 discussion:

> I [MDGx] suggest using newest iphlpapi.dll [build 4.90.3001.2] supported by 98/98SE/ME

I haven't tested it yet, but if 4.90.3001.2 is good on SE, Iphlpapi5 will require it instead of trying to wrap any of multiple originals.

 

Thank you for all the work you are doing! :yes:

Edited by schwups

Share this post


Link to post
Share on other sites

The new stable release of Flashplayer 18.0.0.160 crashes SeaMonkey 2.0.14 as soon as I try to play a file on, e.g., Youtube.

Verified on two different machines.

Anybody got it to work with another browser ?

Share this post


Link to post
Share on other sites

I get no crashes with Opera 10.6, 11.64, 12.02, FF 9.01, 3.5.19, 2.0.0.20, PaleMoon 3.6.32 and also Seamonkey 2.0.14 portable so far.

Share this post


Link to post
Share on other sites

Thanks Schwups, are you still using Kstub822.ini: [iPHLPAPI.DLL] GetAdaptersAddresses=t5 ??

The iphlpapi.dll in my system is 5.00.1717.2

Share this post


Link to post
Share on other sites

Yes "GetAdaptersAddresses=t5". My IPHLPAPI.DLL version is 4.90.3000.0.

 

Now I started ME with the original Kstub822. I only added

 

[iPHLPAPI.DLL]
GetAdaptersAddresses=t5

 

and

 

[Kernel32.dll]

GetSystemWow64DirectoryW=z2e120

 

The Browsers don't crash on you tube.

Edited by schwups

Share this post


Link to post
Share on other sites

After downgrading the system iphlpapi.dll to version 4.90.3001.2 and changing GetAdaptersAddresses to 't5' instead of 'iphlpapi4:' in Kstub.ini Flash is working again. Thx !

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×